package com.example.doctor

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.example.doctor.Appeals.AppealsOldModel
import com.example.doctor.Appeals.AppealsNewModel
import com.example.doctor.Patients.Model.PatientAllModel
import com.example.doctor.Patients.Model.PatientModel
import com.example.doctor.Patients.Reports.Edit.EditSportListNoModel
import com.example.doctor.Patients.Reports.Edit.EditSportListYesModel
import com.example.doctor.Patients.Reports.Edit.EditSportModel
import com.example.doctor.Patients.Reports.QBAModel
import com.example.doctor.Patients.Reports.SportCoursModel

//import com.example.retrofit.model.Product

class DoctorViewModel: ViewModel() {

    //Токен
    val token = MutableLiveData<String>()

    //Пациенты
    val patientCurrent = MutableLiveData<PatientAllModel>()
    val patientListList= MutableLiveData<PatientAllModel>()

    //Обращения новые
    val appealsNewCurrent = MutableLiveData<AppealsNewModel>()
    val appealsNewList= MutableLiveData<List<AppealsNewModel>>()

    //Обращения все
    val appealsAllCurrent = MutableLiveData<AppealsOldModel>()
    val appealsAllList= MutableLiveData<List<AppealsOldModel>>()

    //val productList = MutableLiveData<List<Product>>()
    val patientOneCurrent = MutableLiveData<PatientModel>()

    //Отчеты
    val qbaCurrent = MutableLiveData<QBAModel>()
    val qbaList= MutableLiveData<List<QBAModel>>()

    //КУрсы
    val SportCoursCurrent = MutableLiveData<SportCoursModel>()
    val SportCoursList= MutableLiveData<List<SportCoursModel>>()

    //Редактирование занятий
    val EditSportCurrentYes = MutableLiveData<EditSportModel>()
    val EditSportListYes= MutableLiveData<List<EditSportModel>>()

    //Редактирование занятий
    val EditSportCurrentNO = MutableLiveData<EditSportModel>()
    val EditSportListNo= MutableLiveData<List<EditSportModel>>()


    //id пациента
    val id_patient = MutableLiveData<Int>()
}